(************************************************************************
 Author:	Robert Rossmair
		Wagelwitz, Rodaer Str. 6
		04688 Mutzschen
		Germany

	e-mail:	Robert.Rossmair@t-online.de

 Module:	NSPInfo

 Version:	03-OCT-1997

 Description:	Dialog to display nspGetLibVersion result.

 Copyright  1997  Robert Rossmair

 Use, modification and distribution is allowed without limitation,
 warranty, or liability of any kind.
 ************************************************************************)
unit NSPInfo;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, NSP;

type
  TInfoDlg = class(TForm)
    OKBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Major: TLabel;
    Minor: TLabel;
    Build: TLabel;
    Name: TLabel;
    Version: TLabel;
    InternalVersion: TLabel;
    BuildDate: TLabel;
    CallConv: TLabel;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  InfoDlg: TInfoDlg;

implementation

{$R *.DFM}


procedure TInfoDlg.FormShow(Sender: TObject);
var
  Version: TNSPLibVersion;
begin
  Version := nspGetLibVersion^;
  Major.Caption := IntToStr(Version.Major);
  Minor.Caption := IntToStr(Version.Minor);
  Build.Caption := IntToStr(Version.Build);
  Name.Caption	:= Version.Name;
  Self.Version.Caption := Version.Version;
  InternalVersion.Caption := Version.InternalVersion;
  BuildDate.Caption := Version.BuildDate;
  CallConv.Caption := Version.CallConv;
end;

end.
